/**
 * Dream
 * Copyright (C) 2003-2004 INRIA Rhone-Alpes
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: dream@objectweb.org
 *
 * Initial developer(s): Matthieu Leclercq
 * Contributor(s): 
 */

package org.objectweb.dream.channel;

import org.objectweb.fractal.api.control.AttributeController;

/**
 * Attribute controller interface for channel in.
 */
public interface ChannelInAttributeController extends AttributeController
{
  /**
   * Sets the name of the chunk that should be added in every received messages.
   * If <code>null</code> or equals to <code>"null"</code>, no chunk will
   * be added.
   * 
   * @param fromChunkName the new value of the <code>fromChunkName</code>
   *          attribute.
   */
  void setFromChunkName(String fromChunkName);

  /**
   * Returns the value of the <code>fromChunkName</code> attribute.
   * 
   * @return the value of the <code>fromChunkName</code> attribute.
   */
  String getFromChunkName();
}
