/**
 * Dream
 * Copyright (C) 2003-2004 INRIA Rhone-Alpes
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: dream@objectweb.org
 *
 * Initial developer(s): Matthieu Leclercq
 * Contributor(s): Vivien Quema
 */

package org.objectweb.dream.protocol;

import java.io.Serializable;

/**
 * A name which identifies an exported interface.
 */
public interface ExportIdentifier extends Serializable
{
  /** An empty export identifier array. */
  ExportIdentifier[] EMPTY_EXPORT_IDENTIFIER_ARRAY = new ExportIdentifier[0];

  /**
   * Returns an array of identifiers corresponding to lower level protocol
   * layers, if any.
   * 
   * @return an array of identifiers corresponding to lower level protocol
   *         layers. If their is no lower level protocol layer, returns an empty
   *         array.
   */
  ExportIdentifier[] getNextExportIds();
}
