/**
 * Dream
 * Copyright (C) 2003-2004 INRIA Rhone-Alpes
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: dream@objectweb.org
 *
 * Initial developer(s): Matthieu Leclercq
 * Contributor(s): 
 */

package org.objectweb.dream.protocol.channel;

import java.net.Socket;

import org.objectweb.dream.protocol.IPExportIdentifier;

/**
 * Interface provided by the protocol component to manage opened connections and
 * sessions.
 */
public interface ConnectionManager
{
  /** The commonly used name of this interface. */
  String ITF_NAME = "connection-manager";

  /**
   * Informs the protocol component that a new connection has been opened.
   * 
   * @param socket the new connection.
   * @param identifier the identifier of the server socket on which the new
   *          connection has been established.
   */
  void newConnection(Socket socket, IPExportIdentifier identifier);
}
